import { DefineApiModule, Statistics } from 'api-type'

const StatisticsApi: DefineApiModule<Statistics.ApiMap> = {
  /** 质量统计-自查一致性分析 */
  selfCheckAnalysis: {
    url: '/api/statistic/check/analysis',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 质量统计-自查一致性分析-离差列表 */
  /** 质量统计-抽查情况统计 */
  /** 决策分析-评卷进度统计（整体） */
  getMarkProgress: '/api/statistic/marking/progress',
  /** 决策分析-评卷进度统计（按小组） */
  getMarkProgressByGroup: '/api/statistic/marking/progress/by/group',
  /** 决策分析-评卷进度统计（按评卷员） */
  getMarkProgressByMarker: '/api/statistic/marking/progress/by/marker',
  /** 决策分析-评卷进度统计导出（按评卷员） */
  exportMarkProgressByMarker: {
    url: '/api/statistic/marking/progress/by/marker/export',
    download: true,
  },
  /** 质量统计-科目进度收尾 */
  /** 决策分析-小组监控 */
  getGroupMonitor: {
    url: '/api/statistic/monitor/for/group',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计（整体） */
  getStatistics: {
    url: '/api/statistic/monitor/list',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计（按小组） */
  getStatisticsByGroup: {
    url: '/api/statistic/monitor/list/by/group',
    headers: {
      'Content-Type': 'application/json',
    },
  },
  /** 决策分析-监控统计导出（按小组） */
  exportStatisticsByGroup: {
    url: '/api/statistic/monitor/list/by/group/export',
    download: true,
  },
  /** 决策分析-监控统计（按评卷员） */
  /** 决策分析-监控统计导出（按评卷员） */
  /** 决策分析-监控统计客观题&主观题分数分布 */
  /** 培训监控 */
  getTrainingMonitor: '/api/train/monitor/list',
  /** 个人统计(评卷员) */
  getPersonalStatistic: {
    url: '/api/statistic/personal/result',
    headers: {
      'Content-Type': 'application/json',
    },
  },
}

export default StatisticsApi
